Subject: 24.4.1; REGRESSION: transparent *Completions*

From: Alan Schmitt <[email-masked]>
Date: Wed, 26 Nov 2014 22:33:56 +0100

Hello,

I'm seeing the same problem that Drew was having, on an OS X version of
emacs (compiled from https://github.com/railwaycat/emacs-mac-port). Here
is the adapted recipe to reproduce it.

Create a file ~/tmp/initone.el with the following

--8<---------------cut here---------------start------------->8---
(defvar 1on1-minibuffer-frame-alist
  (list
   (cons 'font "Monaco-12")
   (cons 'height 2)
   (cons 'minibuffer 'only)))

(defun 1on1-emacs ()
  ""
  (interactive)
  (setq default-frame-alist (list (cons 'minibuffer nil)))
  (setq pop-up-frames  t)
  (setq minibuffer-frame-alist 1on1-minibuffer-frame-alist)
  (make-frame 1on1-minibuffer-frame-alist)
  (setq minibuffer-auto-raise t))
--8<---------------cut here---------------end--------------->8---

Launch emacs with the following command:

open -n /Applications/Emacs.app --args -Q -l ~/tmp/initone.el -f "1on1-emacs"

After starting Emacs, do `M-x forw TAB TAB'.  The *Completions* frame is
transparent.

Things work again if I set frame-alpha-lower-limit to 100.

As the fix for Drew's issue was in w32fns.c, I suspect similar code is
broken in OS X.

Best,

Alan